<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("ti" . "tl" . "e" => base64_decode("dGl0bGU" . "="), "_6e38cb9e043a07cd69a1711a6704c6" . "2a" => base64_decode("cGFyZW50" . "X2lk"), "_a5e22fe41a6e" . "4288b56df78f2" . "f278f8f" => base64_decode("cHJldl9wYXJlb" . "nRfaWQ="), "_b2f5a100451164396178c16d" . "2a5c6899" => base64_decode("cHJld" . "l90aX" . "RsZQ=" . "="));
use Claromentis\Core\Event\GenericEvent;


class UpdateFolderEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_b2f5a10" . "04511643" . "96178c16" . "d2a5c689" . "9"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["ti" . "tl" . "e"]);
    }
    public function GetPrevParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_a5e22fe41a6e4288b56df78f2f278f" . "8f"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_6e38cb9e043a07cd69a" . "1711a6704c62a"]);
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}